/*
 * File:		common.h
 * Purpose:		File to be included by all project files
 *
 * Notes:
 */

#ifndef _COMMON_H_
#define _COMMON_H_

/********************************************************************/

/*
 * Debug prints ON (#define) or OFF (#undef)
 */
#define DEBUG_PRINT

/* 
 * Include the generic CPU header file 
 */
#include "mcf5xxx.h"

/* 
 * Include the specific CPU header file 
 */
#include "mcf5213.h"

/* 
 * Include any toolchain specfic header files 
 */

#include "mwerks.h"

/* 
 * Include the board specific header file 
 */

#if (defined(M5213EVB))
#include "m5213evb.h"
#else
#error "No valid platform defined"
#endif


/* 
 * Include common utilities
 */

/********************************************************************/

#endif /* _COMMON_H_ */
